"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CountryData_1 = require("../constants/CountryData");
const unknownCountry = {
    country: 'UNKNOWN',
    alpha2Code: 'UNKNOWN',
    alpha3Code: 'UNKNOWN',
    numeric: -1
};
class CountryCode {
    constructor() {
        this.country = CountryData_1.default;
    }
    buildRule() {
        return JSON.stringify(this.country.map(item => item.alpha2Code + ',PROXY'), null, 2);
    }
    getByNumeric(num) {
        return this.country.find(item => item.numeric === num) || unknownCountry;
    }
    getByAlpha2Code(code) {
        return this.country.find(item => item.alpha2Code === code) || unknownCountry;
    }
    getByAlpha3Code(code) {
        return this.country.find(item => item.alpha3Code === code) || unknownCountry;
    }
}
exports.default = CountryCode;
