import CountryCode from './CountryCode';
declare class GeoLocation {
    private datPath;
    private initStatus;
    readonly country: CountryCode;
    private datData;
    /**
       * Create GeoLocation example
       * @example
       * new GeoLocation("Geo.dat")
       * @param datPath
       */
    constructor(datPath: string);
    private _readLine;
    /**
       * Load dat file to memory
       * @param datFile
       * @returns {number}
       */
    load(datFile?: string): number;
    getIpv4CIDR(address: string): number;
    getIpv6CIDR(address: string): number;
    /**
       * Check IP is ipv6
       * @example
       * GeoLocation.isIpv4('127.0.0.1')
       * @param addr
       */
    isIpv4(addr: string): boolean;
    /**
       * Check IP is ipv6
       * @example
       * GeoLocation.isIpv6('2409:8c54:870:310:0:ff:b0ed:40ac')
       * @param addr
       */
    isIpv6(addr: string): boolean;
}
export { GeoLocation };
